Delete QoS Policy

Prev Next

This URL deletes the specified QoS policy.

Resource URL

DELETE /qospolicy/<policy_id>

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

Policy_id

Policy id

Number

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

Status

Status returned by deletion

Number

Example

Request

DELETE https://<NSM_IP>/sdkapi/qospolicy/183

Response

{
"status":1
}

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

400

2702

Invalid QoS policy Id/QoS policy not visible to this domain

2

400

2703

QoS policy in use, cannot be deleted